
# Common definitions needed by makefiles


# Objects for the test application
TEST_OBJS = \
./Interface.o \
./Main.o \
./TestAbsoluteGrowth.o \
./TestAggregatedMortality.o \
./TestAllometry.o \
./TestAnisotropicDisperse.o \
./TestAverageLight.o \
./TestBasalAreaLight.o \
./TestBoleVolumeCalculator.o \
./TestCarbonValueCalculator.o \
./TestCompetitionMortality.o \
./TestConstantGLI.o \
./TestDensitySeedSurvival.o \
./TestDensitySelfThinning.o \
./TestDimensionAnalysis.o \
./TestDoubleMMRelGrowth.o \
./TestEpisodicMortality.o \
./TestEstablishment.o \
./TestExpResourceMortality.o \
./TestGLILight.o \
./TestGLIMap.o \
./TestGLIPoints.o \
./TestGapLight.o \
./TestGermination.o \
./TestGrids.o \
./TestGrowthHeightIncrementer.o \
./TestGrowthOrg.o \
./TestHarvest.o \
./TestHarvestInterface.o \
./TestHeightGLIWeibullMortality.o \
./TestIsotropicDisperse.o \
./TestLightDepSeedSurvival.o \
./TestLightFilter.o \
./TestLightOrg.o \
./TestLinearBiLevelGrowth.o \
./TestLogBiLevelGrowth.o \
./TestLogisticBiLevelMortality.o \
./TestLogisticGrowth.o \
./TestLognormalGrowth.o \
./TestMerchValueCalculator.o \
./TestMicroEstablishment.o \
./TestModelMath.o \
./TestMortality.o \
./TestMortalityOrg.o \
./TestNCIBAGrowth.o \
./TestNCIMort.o \
./TestNciGrowth.o \
./TestNonSpatialDispersal.o \
./TestPartitionedBiomass.o \
./TestPRSemiStochGrowth.o \
./TestPRStormBiLevelGrowth.o \
./TestPlanting.o \
./TestPlot.o \
./TestPuertoRicoEstablishment.o \
./TestRelativeGrowth.o \
./TestResourceMortality.o \
./TestSailLight.o \
./TestSeedPredation.o \
./TestSeedStochasticity.o \
./TestSelectionHarvest.o \
./TestShadedLinearGrowth.o \
./TestSimManager.o \
./TestSimpleLinearGrowth.o \
./TestSizeDepLogisticGrowth.o \
./TestSpatialDispersal.o \
./TestStochasticBiLevelMortality.o \
./TestStochasticGapGrowth.o \
./TestStochasticMort.o \
./TestStorm.o \
./TestStormDamageApplier.o \
./TestStormKiller.o \
./TestStormLight.o \
./TestSubstrate.o \
./TestSubstrateDepSeedSurvival.o \
./TestTree.o \
./TestTreeAgeCalculator.o \
./TestTreePopulation.o \
./TestTreePopulation2.o \
./TestTreeRemover.o \
./TestVolumeCalculator.o \
./TestWeibullSnagMort.o \
./TestWindstorm.o

# Core SORTIE objects
CORE_MODEL_OBJS = \
./Allometry.o \
./BehaviorBase.o \
./Behaviors.o \
./GridBase.o \
./ModelMath.o \
./ObjectManagerBase.o \
./ParsingFunctions.o \
./PlatformFuncs.o \
./Plot.o \
./PopulationBase.o \
./Populations.o \
./SimManager.o \
./TheGrids.o \
./Tree.o \
./TreePopulation.o \
./TreeSearch.o \
./WorkerBase.o \
./XercesClasses.o

# SORTIE behaviors
BEHAVIOR_OBJS = \
./AbsoluteGrowth.o \
./AggregatedMortality.o \
./AnisotropicDisperse.o \
./AverageLight.o \
./BasalAreaLight.o \
./BCMort.o \
./BoleVolumeCalculator.o \
./CarbonValueCalculator.o \
./CompetitionMort.o \
./ConstantBAGrowth.o \
./ConstantGLI.o \
./ConstantRadialGrowth.o \
./DensitySeedSurvival.o	\
./DensitySelfThinning.o \
./DimensionAnalysis.o \
./DisperseBase.o \
./DisperseOrg.o	\
./Disturbance.o \
./DoubleMMRelGrowth.o \
./Establishment.o \
./ExpResourceMortality.o \
./FuncResponseSeedPredation.o \
./GapLight.o \
./Germination.o \
./GLIBase.o \
./GLILight.o \
./GLIMap.o \
./GLIPoints.o \
./GMFMort.o \
./GridBasedSpatialDisperse.o \
./GrowthBase.o \
./GrowthHeightIncrementer.o \
./GrowthOrg.o \
./HarvestInterface.o \
./HeightGLIWeibullMortality.o \
./IsotropicDisperse.o \
./LightBase.o \
./LightDepSeedSurvival.o \
./LightFilter.o \
./LightOrg.o \
./LinearBiLevelGrowth.o \
./LogBiLevelGrowth.o \
./LogisticBiLevelMortality.o \
./LogisticGrowth.o \
./LognormalGrowth.o \
./MerchValueCalculator.o \
./MichMenGrowthBase.o \
./MicroEstablishment.o \
./MortalityBase.o \
./MortalityOrg.o \
./NCIBase.o \
./NCIBAGrowth.o	\
./NCIGrowth.o \
./NCIMort.o \
./NonSpatialDisperse.o \
./Output.o \
./OutputShort.o \
./PartitionedBiomass.o \
./Planting.o \
./PRSemiStochGrowth.o \
./QuadratGliLight.o \
./PRStormBiLevelGrowth.o \
./RandomSeedLogger.o \
./RelativeGrowth.o \
./ResourceMortality.o \
./SailLight.o \
./SelectionHarvest.o \
./SelfThinning.o \
./SenescenceMort.o \
./ShadedLinearGrowth.o \
./SimpleLinearGrowth.o \
./SizeDepLogisticGrowth.o \
./SpatialDisperse.o \
./StochasticGapGrowth.o \
./StochasticBiLevelMortality.o \
./StochasticMort.o \
./Storm.o \
./StormDamageApplier.o \
./StormKiller.o \
./StormLight.o \
./Substrate.o \
./SubstrateDepSeedSurvival.o \
./TreeAgeCalculator.o \
./TreeRemover.o \
./VolumeCalculator.o \
./WeibullSnagMort.o \
./Windstorm.o